import React from 'react';
import { StyleSheet, View } from 'react-native';
import GradientSlider from './GradientSlider';
import LightnessGradient from '../gradients/LightnessGradient';
import tinycolor from 'tinycolor2';

const LightnessSlider = ({ style, color, onValueChange, gradientSteps }) => {
  return (
    <GradientSlider
      gradient={
        <LightnessGradient color={color} gradientSteps={gradientSteps} />
      }
      style={style}
      step={0.01}
      maximumValue={1}
      value={color.l}
      thumbTintColor={tinycolor(color).toHslString()}
      onValueChange={onValueChange}
    />
  );
};

export default LightnessSlider;
