import React from 'react';
import { StyleSheet, View } from 'react-native';
import GradientSlider from './GradientSlider';
import SaturationGradient from '../gradients/SaturationGradient';
import tinycolor from 'tinycolor2';

const SaturationSlider = ({ style, color, onValueChange, gradientSteps }) => {
  return (
    <GradientSlider
      gradient={<SaturationGradient color={color} gradientSteps={gradientSteps} />}
      style={style}
      step={0.01}
      maximumValue={1}
      value={color.s}
      thumbTintColor={tinycolor(color).toHslString()}
      onValueChange={onValueChange}
    />
  );
};

export default SaturationSlider;
